# ComplyAdvantage

### What kind of data I will get

ComplyAdvantage is a company that provides solutions and services related to anti-money laundering (AML), know your customer (KYC), and counter-terrorism financing (CTF) compliance for businesses and financial institutions. Their primary focus is on helping organizations identify and manage financial crime risks more effectively.

### Integration Scope

ComplyAdvantage allows to you to choose what type of search will be performed on a customer. Possible values include:

* sanction
* warning
* fitness-probity
* pep

### Input

| Attribute   | Type   | Description                                                         |
| ----------- | ------ | ------------------------------------------------------------------- |
| searchTerm  | string | Required. A string representing the name of the entity or an object |
| yearOfBirth | number | Optional                                                            |

```
{
    "searchTerm": "Jan Kowalski",
    "yearOfBirth": 1990
}
```

### Output

| Attribute           | Type   | Description     |
| ------------------- | ------ | --------------- |
| code                | number | Response code   |
| status              | string | Response status |
| [content](#content) | object | Content data    |

### Content

| Attribute     | Type   | Description      |
| ------------- | ------ | ---------------- |
| [data](#data) | object | Data information |

### Data

| Attribute                       | Type           | Description                         |
| ------------------------------- | -------------- | ----------------------------------- |
| id                              | number         | ID                                  |
| ref                             | string         | Reference                           |
| searcherId                      | number         | Searcher ID                         |
| assigneeId                      | number         | Assignee ID                         |
| [searchProfile](#searchprofile) | object         | Search profile data                 |
| [filters](#searchprofile)       | object         | Filters data provided in first step |
| matchStatus                     | string         | Match status                        |
| riskLevel                       | string         | Risk level                          |
| searchTerm                      | string         | Search term                         |
| submittedTerm                   | string         | Submitted term                      |
| clientRef                       | string         | Client reference                    |
| totalHits                       | string         | Total hits                          |
| totalMatches                    | number         | Total matches                       |
| updatedAt                       | string         | Updated at timestamp                |
| createdAt                       | string         | Created at timestamp                |
| [tags](#tag)                    | array\<object> | List of tags                        |
| [hits](#hit)                    | array\<object> | List of hits                        |
| shareUrl                        | string         | Share URL                           |
| limit                           | number         | Limit                               |
| offset                          | number         | Offset                              |
| [searcher](#user)               | object         | Searcher user data                  |
| [assignee](#user)               | object         | Assignee user data                  |

### SearchProfile

| Attribute | Type   | Description                 |
| --------- | ------ | --------------------------- |
| name      | string | Name of the search profile  |
| slug      | string | Slug for the search profile |

### Filters

| Attribute      | Type           | Description           |
| -------------- | -------------- | --------------------- |
| types          | array\<string> | List of types         |
| entityType     | string         | Entity type           |
| birthYear      | string         | Birth year            |
| passport       | string         | Passport              |
| exactMatch     | boolean        | Exact match           |
| fuzziness      | number         | Fuzziness             |
| removeDeceased | number         | Remove deceased       |
| countryCodes   | array\<string> | List of country codes |

### Tag

| Attribute | Type   | Description     |
| --------- | ------ | --------------- |
| name      | string | Name of the tag |

### Hit

| Attribute         | Type           | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ----------------- | -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [doc](#doc)       | object         | Document information                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| isWhitelisted     | boolean        | This information serves as an indicator of whether an entity has been whitelisted based on the provided client reference. It becomes visible when the whitelist feature is enabled for your account. You have the option to customize this setting through your settings page or get in touch with your ComplyAdvantage account manager to learn more about this feature. Entities are considered whitelisted if they are identified as false positives using your client reference and have not undergone any updates since then. |
| matchTypes        | array\<string> | <p>Data as to what matched. Possible values include:<br>- aka\_exact<br>- name\_exact<br>- name\_fuzzy<br>- aka\_fuzzy<br>- phonetic\_name<br>- phonetic\_aka<br>- equivalent\_aka<br>- unknown</p>                                                                                                                                                                                                                                                                                                                                |
| matchTypesDetails | array\<object> | A detailed breakdown of why a hit occurred. For every name you matched on an entity, it will give you how each term from your search matched it, as well other information about that name.                                                                                                                                                                                                                                                                                                                                        |
| score             | number         | The search results are evaluated and ranked based on a score provided in the metadata. It's important to note that this score doesn't represent an absolute ranking of the document. Instead, it should be utilized solely for sorting search results and offering a relative measure of their relevance.                                                                                                                                                                                                                          |

### Doc

| Attribute                | Type           | Description                                                                                       |
| ------------------------ | -------------- | ------------------------------------------------------------------------------------------------- |
| [aka](#aka)              | array\<object> | Array of alternative names for the entity                                                         |
| [associates](#associate) | array\<object> | Array of names of associated entities                                                             |
| entityType               | string         | Entity type                                                                                       |
| [fields](#field)         | array\<object> | <p>Array of data fields with "name" and "value" parameters at the minimum<br></p>                 |
| firstName                | string         | First name                                                                                        |
| id                       | string         | ID                                                                                                |
| lastName                 | string         | Last name                                                                                         |
| lastUpdatedUtc           | string         | Last updated timestamp                                                                            |
| middleNames              | string         | Middle names                                                                                      |
| [media](#media)          | array\<object> | List of media entries where appropriate, with the "date", "title", "snippet" and "url" parameters |
| name                     | string         | <p><br>Name of entity, such as person name (e.g. "Jan Kowalski")</p>                              |
| sources                  | array\<string> | Array of data sources (eg. sanction lists)                                                        |
| types                    | array\<string> | What kind of alert or warning is associated with the entity (from "sanction", "pep", "warning")   |

### AKA

| Attribute | Type   | Description     |
| --------- | ------ | --------------- |
| name      | string | Name of the AKA |

### Associate

| Attribute   | Type   | Description             |
| ----------- | ------ | ----------------------- |
| name        | string | Name of the associate   |
| association | string | Association information |

### Field

| Attribute | Type   | Description  |
| --------- | ------ | ------------ |
| locale    | string | Locale       |
| name      | string | Field name   |
| source    | string | Field source |
| value     | string | Field value  |
| tag       | string | Field tag    |

### Media

| Attribute | Type   | Description   |
| --------- | ------ | ------------- |
| date      | string | Media date    |
| snippet   | string | Media snippet |
| title     | string | Media title   |
| url       | string | Media URL     |

### User&#x20;

| Attribute | Type   | Description             |
| --------- | ------ | ----------------------- |
| id        | string | User ID                 |
| email     | string | User email              |
| name      | string | User name               |
| phone     | string | User phone number       |
| createdAt | string | User creation timestamp |

### Output Example

```
{
    "complyAdvantage": {
        "code": 200,
        "status": "SUCCESS",
        "content": {
            "data": {
                "id": 1,
                "ref": "REF-001",
                "searcherId": 101,
                "assigneeId": 102,
                "searchProfile": {
                    "name": "Profile A",
                    "slug": "profile-a"
                },
                "filters": {
                    "types": [
                        "pep",
                        "sanction"
                    ],
                    "entityType": "person",
                    "birthYear": "1980",
                    "passport": "AB123456",
                    "exactMatch": false,
                    "fuzziness": 0.2,
                    "removeDeceased": 1,
                    "countryCodes": [
                        "US",
                        "CA"
                    ]
                },
                "matchStatus": "Partial",
                "riskLevel": "Medium",
                "searchTerm": "John Doe",
                "submittedTerm": "Doe, John",
                "clientRef": "CUST-001",
                "totalHits": 5,
                "totalMatches": 10,
                "updatedAt": "2023-09-18T10:30:00Z",
                "createdAt": "2023-09-18T10:00:00Z",
                "tags": [
                    {
                        "name": "Tag1"
                    },
                    {
                        "name": "Tag2"
                    }
                ],
                "hits": [
                    {
                        "doc": {
                            "aka": [
                                {
                                    "name": "Johnny"
                                }
                            ],
                            "associates": [
                                {
                                    "name": "Jane Smith",
                                    "association": "Friend"
                                },
                                {
                                    "name": "Bob Johnson",
                                    "association": "Colleague"
                                }
                            ],
                            "entityType": "person",
                            "fields": [
                                {
                                    "locale": "en-US",
                                    "name": "Full Name",
                                    "source": "Public Records",
                                    "value": "John Doe",
                                    "tag": "Name"
                                }
                            ],
                            "firstName": "John",
                            "id": "JD123",
                            "lastName": "Doe",
                            "lastUpdatedUtc": "2023-09-18T11:45:00Z",
                            "middleNames": "M.",
                            "media": [
                                {
                                    "date": "2023-09-18",
                                    "snippet": "News snippet about John Doe",
                                    "title": "News Article",
                                    "url": "https://example.com/news/123"
                                }
                            ],
                            "name": "John Doe",
                            "sources": [
                                "Source1",
                                "Source2"
                            ],
                            "types": [
                                "Person"
                            ]
                        },
                        "isWhitelisted": false,
                        "matchTypes": [
                            "NameMatch"
                        ],
                        "matchTypesDetails": [],
                        "score": 0.85
                    }
                ],
                "shareUrl": "https://example.com/share/123",
                "limit": 10,
                "offset": 0,
                "searcher": {
                    "id": "user101",
                    "email": "user@example.com",
                    "name": "Alice Johnson",
                    "phone": "+1 (123) 456-7890",
                    "createdAt": "2023-09-17T14:00:00Z"
                },
                "assignee": {
                    "id": "user102",
                    "email": "assignee@example.com",
                    "name": "Bob Smith",
                    "phone": "+1 (987) 654-3210",
                    "createdAt": "2023-09-17T15:30:00Z"
                }
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/complyadvantage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
